curl -X POST 'https://api.resend.com/suppressions' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"email": "steve.wozniak@gmail.com"
}'
{
"object": "suppression",
"id": "e169aa45-1ecf-4183-9955-b1499d5701d3"
}
Create Suppression
Add an email address to the suppression list.
POST
/
suppressions
curl -X POST 'https://api.resend.com/suppressions' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"email": "steve.wozniak@gmail.com"
}'
{
"object": "suppression",
"id": "e169aa45-1ecf-4183-9955-b1499d5701d3"
}
The Suppressions API is currently in private beta and only available to a
limited number of users. APIs might change before GA.Get in touch if you’re interested in testing
this feature.
Body Parameters
The email address to suppress.
curl -X POST 'https://api.resend.com/suppressions' \
-H 'Authorization: Bearer re_xxxxxxxxx' \
-H 'Content-Type: application/json' \
-d $'{
"email": "steve.wozniak@gmail.com"
}'
{
"object": "suppression",
"id": "e169aa45-1ecf-4183-9955-b1499d5701d3"
}
Was this page helpful?
⌘I